"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultRoute = void 0;
const RestError_1 = require("../RestError");
const httpStatus_1 = require("../httpStatus");
/**
 * Matches all requests and returns the same response every time.
 * Default behaviour is to return a 404 response.
 */
class DefaultRoute {
    constructor(statusCode = httpStatus_1.httpStatusCode.clientError.NOT_FOUND, message = "Resource not found.  There are no matching paths.  Check the API documentation.") {
        this.statusCode = statusCode;
        this.message = message;
    }
    matches(evt) {
        return true;
    }
    handle(evt) {
        return __awaiter(this, void 0, void 0, function* () {
            throw new RestError_1.RestError(this.statusCode, this.message);
        });
    }
}
exports.DefaultRoute = DefaultRoute;
//# sourceMappingURL=DefaultRoute.js.map