"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTestLambdaContext = exports.createTestProxyEvent = void 0;
const uuid = require("uuid");
var createTestProxyEvent_1 = require("./createTestProxyEvent");
Object.defineProperty(exports, "createTestProxyEvent", { enumerable: true, get: function () { return createTestProxyEvent_1.createTestProxyEvent; } });
const defaultContext = {
    callbackWaitsForEmptyEventLoop: false,
    functionName: "lambdafunction",
    functionVersion: "1.0",
    invokedFunctionArn: "",
    memoryLimitInMB: "128",
    awsRequestId: "",
    logGroupName: "/aws/lambda/lambdafunction",
    logStreamName: "",
    getRemainingTimeInMillis: () => 60,
    done: () => {
    },
    fail: () => {
    },
    succeed: () => {
    }
};
function createTestLambdaContext(proxyEvent, overrides = {}) {
    const date = new Date();
    return Object.assign(Object.assign(Object.assign({}, defaultContext), { awsRequestId: proxyEvent.requestContext.requestId, invokedFunctionArn: `arn:aws:lambda:us-east-1:${proxyEvent.requestContext.accountId}:function:lambdafunction`, logStreamName: `${date.getFullYear()}/${date.getMonth()}/${date.getDay()}/[$LATEST]${uuid.v4().replace("-", "")}` }), overrides);
}
exports.createTestLambdaContext = createTestLambdaContext;
//# sourceMappingURL=createTestLambdaContext.js.map